POST Register
Endpoint will handle a registration request for the application.
Headers
- Type: stringAcceptrequired
Accept header
- Type: stringAuthorization
Authorization header
- Type: stringContent
- Type requiredContent-Type header
- Type: stringA
P I - V E R S I O N requiredAPI version
- Type: stringApplicationrequired
Application key
- Type: stringX
- Request - I D requiredUnique request identifier
- enumX
- Q B - Enabled requiredHeader which if sent with value 'true' will allow usage of the query building feature in response (through the request's query params). It is mandatory for this part of the documentation.
values- true
- false
Body·
application/json
- Type: stringfirst
_name - Type: stringlast
_name - Type: integerpasswordless
_code Integer numbers.
- Type: stringFormat: emailpasswordless
_email
Responses
- application/json
- 400
Bad Request
- 401
Unauthorized
- 403
Forbidden
- 404
Not Found
- 500
Internal Server Error
Request Example for post/customers/register
curl https://api-public-demo.menu.app/api/customers/register \
--request POST \
--header 'Accept: application/json' \
--header 'Authorization: ' \
--header 'Content-Type: application/json' \
--header 'API-VERSION: ' \
--header 'Application: ' \
--header 'X-Request-ID: c10b4a70-6274-490d-80a0-03e7bb826937 ' \
--header 'X-QB-Enabled: true' \
--data '{
"passwordless_email": "ivan.djordjevic@partech.com",
"passwordless_code": 307242,
"first_name": "Ivan",
"last_name": "Djordjevic"
}'
{
"status": "OK",
"code": 200,
"data": {
"customer_account": {
"id": "0da5a3f0-a354-4c04-8438-f1389c19a3f7",
"type_id": 1,
"first_name": "Ivan",
"last_name": "Djordjevic",
"email": "ivan.djordjevic@partech.com",
"confirmed": true,
"phone_number": "+381111111111",
"locale": "en",
"state": 1,
"demographics": [],
"optin_status_email": 3,
"optin_status_pn": 3,
"has_pending_email_change": true,
"has_pending_phone_number_change": true,
"is_social": true
},
"token": {
"value": "eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJodHRwOi8vbWVudS1jb3JlLm1lbnU6ODA4NC9hcGkvY3VzdG9tZXJzL3NvY2lhbC1zaWduLXVwIiwiaWF0IjoxNjgxMzA0Nzc0LCJleHAiOjE2ODEzOTExNzQsIm5iZiI6MTY4MTMwNDc3NCwianRpIjoiUDJtVm91em94ZzZiQVpFbSIsInN1YiI6IjUwODc3MTciLCJwcnYiOiJjYzMyOTIxYTE1NDgwYTExN2Q5YmJjNzJjMGUxMjU2YTY4NTI0NThiIiwiYXBwbGljYXRpb25faWQiOjE1LCJzZXNzaW9uX2lkIjoxNTcyNn0.rw0sB__aXxGO29HQnY_hxUVppzkLtm5R_FcfciQct58",
"ttl": 1440,
"refresh_ttl": 2628000
}
}
}